#ifndef _TT_BEEP_H_
#define _TT_BEEP_H_

#include <sys/cdefs.h>

__BEGIN_DECLS
int tt_sound(int freq, int ms);
int tt_adsr(int type, int freq, int ms, int attack, int decay, int sustain, int release);

int tt_audio_play(const char *filename);
int tt_audio_stop(void);
int tt_audio_sync(void);

void tt_click(void);
void tt_beep(void);

void tt_beep_fail(void);
void tt_beep_success(void);
__END_DECLS

#endif
